Bug 1013247 - initscripts can not manage network connection (can not found ethernet device)
initscripts can not manage network connection (can not found ethernet device)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
:
: 1013244 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 15:42 EDT by Sergei LITVINENKO
Modified: 2015-06-29 08:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:29:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergei LITVINENKO 2013-09-28 15:42:32 EDT
Description of problem:

ifup can not start simple ethernet network connection

Version-Release number of selected component (if applicable):

initscripts-9.50-1.fc20.i686


How reproducible:

100%


Steps to Reproduce:
1. Prepare simple ethernet network connection eth0
2. Delete NetworkManager
3. Boot system
4. run `service network start`


Actual results:

[root@fedora20 ~]# service network start
Starting network (via systemctl):  Job for network.service failed. See 'systemctl status network.service' and 'journalctl -xn' for details.


Expected results:

network service start all prepared network connections

Additional info:

It is possible to prepare connection manually. As example

---
ifconfig eth0 10.119.100.20 netmask 255.255.255.0
ip route add default via 10.119.100.254 dev eth0

...

[root@fedora20 ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
TYPE=Ethernet
BOOTPROTO=none
DEFROUTE=yes
IPV4_FAILURE_FATAL=yes
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
NAME=eth0
UUID=da15a957-c186-4963-bd59-ee202f4a76cf
ONBOOT=yes
IPADDR0=10.119.100.20
PREFIX0=24
GATEWAY0=10.119.100.254
DNS1=10.119.100.100
DOMAIN=homedesk.org.ua
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes
IPV6_PRIVACY=no
Comment 1 Sergei LITVINENKO 2013-09-28 15:44:10 EDT
it looks like initscripts can not recognize network card...
Comment 2 Václav Pavlín 2013-09-30 02:35:02 EDT
*** Bug 1013244 has been marked as a duplicate of this bug. ***
Comment 3 Václav Pavlín 2013-09-30 02:39:04 EDT
Could you please provide the output of systemctl status network.service and journalctl -u network.service?
Comment 4 Lukáš Nykrýn 2013-09-30 03:34:22 EDT
And can you try to run network initscript directly and post here the output?
SYSTEMCTL_SKIP_REDIRECT=1 /etc/init.d/network restart
Comment 5 Sergei LITVINENKO 2013-09-30 13:22:55 EDT
>>  scripts do not recognizes ethernet network device...


[root@fedora20 ~]# export LC_ALL=C
[root@fedora20 ~]# export LANG=C

[root@fedora20 ~]# systemctl status -l network.service
network.service - LSB: Bring up/down networking
   Loaded: loaded (/etc/rc.dinit.dnetwork)
   Active: failed (Result: exit-code) since Mon 2013-09-30 19:55:34 EEST; 3min 1s ago
  Process: 271 ExecStart=/etc/rc.d/init.d/network start (code=exited, status=1/FAILURE)
Sep 30 19:55:34 fedora20.homedesk.org.ua network[271]: ОШИБКА    : [/etc/sysconfig/network-scripts/ifup-eth] Похоже, что устройство  отсутствует. Инициализация отложена.
Sep 30 19:55:34 fedora20.homedesk.org.ua /etc/sysconfig/network-scripts/ifup-eth[447]: Похоже, что устройство  отсутствует. Инициализация отложена.
Sep 30 19:55:34 fedora20.homedesk.org.ua network[271]: [СБОЙ]
Sep 30 19:55:34 fedora20.homedesk.org.ua systemd[1]: network.service: control process exited, code=exited status=1
Sep 30 19:55:34 fedora20.homedesk.org.ua systemd[1]: Failed to start LSB: Bring up/down networking.
Sep 30 19:55:34 fedora20.homedesk.org.ua systemd[1]: Unit network.service entered failed state.


[root@fedora20 ~]# SYSTEMCTL_SKIP_REDIRECT=1 /etc/init.d/network restart
Shutting down loopback interface:                    [  OK  ]
Bringing up loopback interface:                      [  OK  ]
Bringing up interface eth0:
ERROR    : [/etc/sysconfig/network-scripts/ifup-eth] Device  does not seem to be present, delaying initialization.




PS: Try to up network manualy.

[root@fedora20 network-scripts]# ifconfig eth0 10.119.100.20 netmask 255.255.255.0
[root@fedora20 network-scripts]# ip rou add default via 10.119.100.254 dev eth0

[root@fedora20 network-scripts]# ip addr show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 52:54:01:12:33:20 brd ff:ff:ff:ff:ff:ff
    inet 10.119.100.20/24 brd 10.119.100.255 scope global eth0
       valid_lft forever preferred_lft forever
    inet6 fe80::5054:1ff:fe12:3320/64 scope link 
       valid_lft forever preferred_lft forever

[root@fedora20 network-scripts]# ip rou show
default via 10.119.100.254 dev eth0 
10.119.100.0/24 dev eth0  proto kernel  scope link  src 10.119.100.20 

[root@fedora20 network-scripts]# ethtool -i eth0
driver: virtio_net
version: 1.0.0
firmware-version: 
bus-info: 0000:00:03.0
supports-statistics: no
supports-test: no
supports-eeprom-access: no
supports-register-dump: no
supports-priv-flags: no


[root@fedora20 network-scripts]# ping 8.8.8.8 -c 10
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
64 bytes from 8.8.8.8: icmp_seq=1 ttl=50 time=30.1 ms
64 bytes from 8.8.8.8: icmp_seq=2 ttl=50 time=29.7 ms
64 bytes from 8.8.8.8: icmp_seq=3 ttl=50 time=29.6 ms
64 bytes from 8.8.8.8: icmp_seq=4 ttl=50 time=29.5 ms
64 bytes from 8.8.8.8: icmp_seq=5 ttl=50 time=29.6 ms
64 bytes from 8.8.8.8: icmp_seq=6 ttl=50 time=29.5 ms
64 bytes from 8.8.8.8: icmp_seq=7 ttl=50 time=29.6 ms
64 bytes from 8.8.8.8: icmp_seq=8 ttl=50 time=29.5 ms
64 bytes from 8.8.8.8: icmp_seq=9 ttl=50 time=29.5 ms
64 bytes from 8.8.8.8: icmp_seq=10 ttl=50 time=29.5 ms
Comment 6 Lukáš Nykrýn 2013-10-01 03:02:25 EDT
What do you have in /sys/class/net/ ?
Comment 7 Sergei LITVINENKO 2013-10-01 05:42:13 EDT
[sergeil@fedora20 ~]$ ll /sys/class/net/
итого 0
lrwxrwxrwx. 1 root root 0 Окт  1 12:39 eth0 -> ../../devices/pci0000:00/0000:00:03.0/virtio0/net/eth0
lrwxrwxrwx. 1 root root 0 Окт  1 12:39 lo -> ../../devices/virtual/net/lo
Comment 8 Sergei LITVINENKO 2013-10-01 05:46:45 EDT
[sergeil@fedora20 ~]$ ll /sys/class/net/../../devices/pci0000:00/0000:00:03.0/virtio0/net/eth0
итого 0
-r--r--r--. 1 root root 4096 Окт  1 12:39 addr_assign_type
-r--r--r--. 1 root root 4096 Окт  1 12:39 address
-r--r--r--. 1 root root 4096 Окт  1 12:43 addr_len
-r--r--r--. 1 root root 4096 Окт  1 12:43 broadcast
-rw-r--r--. 1 root root 4096 Окт  1 12:43 carrier
lrwxrwxrwx. 1 root root    0 Окт  1 12:39 device -> ../../../virtio0
-r--r--r--. 1 root root 4096 Окт  1 12:39 dev_id
-r--r--r--. 1 root root 4096 Окт  1 12:43 dormant
-r--r--r--. 1 root root 4096 Окт  1 12:43 duplex
-rw-r--r--. 1 root root 4096 Окт  1 12:43 flags
-rw-r--r--. 1 root root 4096 Окт  1 12:43 ifalias
-r--r--r--. 1 root root 4096 Окт  1 12:39 ifindex
-r--r--r--. 1 root root 4096 Окт  1 12:39 iflink
-r--r--r--. 1 root root 4096 Окт  1 12:43 link_mode
-rw-r--r--. 1 root root 4096 Окт  1 12:43 mtu
-rw-r--r--. 1 root root 4096 Окт  1 12:43 netdev_group
-r--r--r--. 1 root root 4096 Окт  1 12:43 operstate
drwxr-xr-x. 2 root root    0 Окт  1 12:43 power
drwxr-xr-x. 4 root root    0 Окт  1 12:39 queues
-r--r--r--. 1 root root 4096 Окт  1 12:43 speed
drwxr-xr-x. 2 root root    0 Окт  1 12:43 statistics
lrwxrwxrwx. 1 root root    0 Окт  1 12:39 subsystem -> ../../../../../../class/net
-rw-r--r--. 1 root root 4096 Окт  1 12:43 tx_queue_len
-r--r--r--. 1 root root 4096 Окт  1 12:39 type
-rw-r--r--. 1 root root 4096 Окт  1 12:39 uevent
Comment 9 Fedora End Of Life 2015-05-29 05:28:21 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-06-29 08:29:03 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.